Huawei AR2240, AR3260 and AR169FGVW-L Series Routers

Certificate details

Certificate ID #2968
Status historical
Historical reason SP 800-56Arev3 transition
Validation dates 25.07.2017
Standard FIPS 140-2
Security level 2
Type Hardware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode and with the tamper evident seals and external baffles installed as indicated in the Security Policy. The protocols IKEv1 and SNMP shall not be used when operated in FIPS mode.
Exceptions
  • Design Assurance: Level 3
  • Mitigation of Other Attacks: N/A
Description ARs are located between an enterprise network and a public network, functioning as the only ingress and egress for data transmitted between the two networks. The deployment of various network services over the ARs reduces operation & maintenance (O&M) costs as well as those associated with establishing an enterprise network.
Version (Hardware) AR2240 P/N 03022UFU Version C.2, AR3260 P/N 03022NPN Version I.3 and AR169FGVW-L P/N 50010168 Version L.2; Tamper Evident Seals P/N 4057-113016 and External Baffle P/N 99089JEB
Version (Firmware) V200R008C10SPC120
Vendor Huawei Technologies Co., Ltd. http://www.huawei.com
Lab UL Verification Services, Inc.
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, AES128, AES192, AES256, DES, 3DES, Blowfish, SM4, HMAC
Asymmetric Algorithms
ECDSA, ECC, DH
Hash functions
SHA256, SHA384, SHA512, MD5
Schemes
Key Exchange, Key exchange, Key Agreement
Protocols
SSH, SSHv2, TLS, IKE, IKEv2, IKEv1, IPsec, VPN
Randomness
DRBG, RNG
Block cipher modes
CBC

Vendor
Huawei Technologies Co, Huawei, Huawei Technologies

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 2968,
  "dgst": "46a4efea2592cf8a",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "#2861",
        "SHS#3565",
        "DRBG#1379",
        "#1379",
        "KTS#2335",
        "ECDSA#1023",
        "HMAC#2861",
        "Triple-DES#2335",
        "#4323",
        "CVL#1036",
        "#1023",
        "#2335",
        "#3565",
        "KTS#2861",
        "AES#4323"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "3",
        "50010168",
        "113016",
        "2",
        "4057"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 41,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 1
          },
          "ECDSA": {
            "ECDSA": 5
          }
        },
        "FF": {
          "DH": {
            "DH": 19
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 22
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 35,
          "IKEv1": 1,
          "IKEv2": 1
        },
        "IPsec": {
          "IPsec": 16
        },
        "SSH": {
          "SSH": 53,
          "SSHv2": 1
        },
        "TLS": {
          "TLS": {
            "TLS": 5
          }
        },
        "VPN": {
          "VPN": 6
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 1
        },
        "KEX": {
          "Key Exchange": 1,
          "Key exchange": 1
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 4,
          "#10": 2,
          "#1023": 1,
          "#11": 2,
          "#12": 2,
          "#13": 3,
          "#1379": 2,
          "#14": 2,
          "#15": 2,
          "#16": 1,
          "#17": 2,
          "#18": 2,
          "#19": 1,
          "#2": 3,
          "#20": 1,
          "#21": 2,
          "#22": 2,
          "#23": 2,
          "#2335": 1,
          "#24": 2,
          "#25": 2,
          "#26": 1,
          "#27": 1,
          "#28": 1,
          "#2861": 1,
          "#3": 1,
          "#3565": 1,
          "#4": 1,
          "#4323": 1,
          "#5": 1,
          "#6": 1,
          "#7": 3,
          "#8": 3,
          "#9": 1
        }
      },
      "fips_certlike": {
        "Certlike": {
          "AES - 128": 6,
          "AES - 192": 5,
          "AES - 256": 5,
          "AES -128": 1,
          "AES -192": 1,
          "AES -256": 1,
          "AES128": 4,
          "AES192": 4,
          "AES256": 4,
          "DRBG (Cert. #1379": 1,
          "DRBG 4": 1,
          "HMAC - SHA - 1": 2,
          "HMAC - SHA - 1 160": 1,
          "HMAC - SHA - 256": 2,
          "HMAC SHA - 1 - 96": 1,
          "SHA - 1": 12,
          "SHA - 1 - 96": 2,
          "SHA - 1 160": 1,
          "SHA - 256": 17,
          "SHA - 384": 10,
          "SHA - 512": 10,
          "SHA256": 4,
          "SHA384": 4,
          "SHA512": 4
        }
      },
      "fips_security_level": {},
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 2
          }
        },
        "SHA": {
          "SHA2": {
            "SHA256": 4,
            "SHA384": 4,
            "SHA512": 4
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 17
        },
        "RNG": {
          "RNG": 2
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140": 44,
          "FIPS 180": 1,
          "FIPS 197": 1,
          "FIPS 198": 1,
          "FIPS186": 1
        },
        "RFC": {
          "RFC 2865": 1,
          "RFC 4254": 1,
          "RFC 4303": 1,
          "RFC 4511": 1,
          "RFC 5246": 1,
          "RFC 6379": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 22,
            "AES128": 4,
            "AES192": 4,
            "AES256": 4
          }
        },
        "DES": {
          "3DES": {
            "3DES": 8
          },
          "DES": {
            "DES": 6
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 18
          }
        },
        "miscellaneous": {
          "Blowfish": {
            "Blowfish": 1
          },
          "SM4": {
            "SM4": 1
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Huawei": {
          "Huawei": 3,
          "Huawei Technologies": 1,
          "Huawei Technologies Co": 60
        }
      },
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "SHS#3565",
        "DRBG#1379",
        "KTS#2335",
        "ECDSA#1023",
        "HMAC#2861",
        "Triple-DES#2335",
        "CVL#1036",
        "KTS#2861",
        "AES#4323"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#2861",
        "#4323",
        "#1023",
        "#2335",
        "#3565",
        "#1379"
      ]
    },
    "policy_metadata": {
      "/Author": "rshelby",
      "/CreationDate": "D:20170717090011-07\u002700\u0027",
      "/Creator": "PScript5.dll Version 5.2.2",
      "/ModDate": "D:20170717090011-07\u002700\u0027",
      "/Producer": "Acrobat Distiller 11.0 (Windows)",
      "/Title": "Microsoft Word - 224c - Huawei_Router_AR2240_AR3260_AR169FGVW-L_Security Policy_v1.2.docx",
      "pdf_file_size_bytes": 3261663,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 30
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "46d3b9795fe268faa9791bc9aa1078b0c0594e6e0583644e9ffcace53cd4e47d",
      "source_hash": "f45b8925f5fff4cf215a55ff0122394199380215dce68be4b457f9887025dbd6",
      "txt_hash": "59cfd247403f81177435a32ca8cc4968e1a0a9c78dba83d7fd6793dbe308c41c"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode and with the tamper evident seals and external baffles installed as indicated in the Security Policy. The protocols IKEv1 and SNMP shall not be used when operated in FIPS mode.",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertJuly2017.pdf",
    "date_sunset": null,
    "description": "ARs are located between an enterprise network and a public network, functioning as the only ingress and egress for data transmitted between the two networks. The deployment of various network services over the ARs reduces operation \u0026 maintenance (O\u0026M) costs as well as those associated with establishing an enterprise network.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Design Assurance: Level 3",
      "Mitigation of Other Attacks: N/A"
    ],
    "fw_versions": "V200R008C10SPC120",
    "historical_reason": "SP 800-56Arev3 transition",
    "hw_versions": "AR2240 P/N 03022UFU Version C.2, AR3260 P/N 03022NPN Version I.3 and AR169FGVW-L P/N 50010168 Version L.2; Tamper Evident Seals P/N 4057-113016 and External Baffle P/N 99089JEB",
    "level": 2,
    "mentioned_certs": {},
    "module_name": "Huawei AR2240, AR3260 and AR169FGVW-L Series Routers",
    "module_type": "Hardware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2017-07-25",
        "lab": "UL Verification Services, Inc.",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Huawei Technologies Co., Ltd.",
    "vendor_url": "http://www.huawei.com"
  }
}